Bug 128716 - Windows key mapped to hyper and super at the same time
Windows key mapped to hyper and super at the same time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-28 11:37 EDT by Dan Reish
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:22:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Reish 2004-07-28 11:37:05 EDT
Description of problem:
The Windows key now seems to send both hyper and super at the same
time, even though in the keyboard settings program in control-center,
I've set it to send only super.  It worked for me in Red Hat 9, though
I don't recall what my keyboard settings were.  I just used the default.

Version-Release number of selected component (if applicable):
control-center-2.6.1-3

How reproducible: Always


Steps to Reproduce:
1. Choose App menu/Preferences/Keyboard
2. Note the "Warning" window that pops up too briefly to read (another
bug, perhaps)
3. Select the Layout Options tab
4. Confirm that the Windows key should act as either Hyper or Super,
but not both.
5. Open up emacs with X
6. Type "C-h c" and then press the windows key with the letter "a"
  
Actual results:
It says H-s-a is undefined, indicating the windows key is both hyper
and super.

Expected results:
Should say H-a is undefined or s-a is undefined, depending on settings.

Additional info:
Comment 1 Need Real Name 2004-08-24 01:08:09 EDT
I had the same problem.
Looks like the reason is xmodmap's following setting:
    add Mod4 = Super_L Hyper_L
I've changed that to
    add Mod4 = Hyper_L
    add Mod5 = Super_R
and it works for me now (Emacs gets H-a and s-a and not H-s-a)
(I only have Hyper_L and Super_R, you might want something like:
    add Mod4 = Hyper_L Hyper_R
    add Mod5 = Super_L Super_R
)
Don't forget to
    clear Mod4
    clear Mod5
before that.
Comment 2 Matthew Miller 2005-04-26 12:02:21 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Ray Strode [halfline] 2005-05-11 17:22:45 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.